summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--gluster/swift/common/middleware/gswauth/swauth/middleware.py4
-rw-r--r--setup.py4
-rw-r--r--test/functional_auth/gswauth/conf/proxy-server.conf10
-rw-r--r--test/functional_auth/gswauth/conf/test.conf2
-rwxr-xr-xtools/gswauth_functional_tests.sh10
5 files changed, 15 insertions, 15 deletions
diff --git a/gluster/swift/common/middleware/gswauth/swauth/middleware.py b/gluster/swift/common/middleware/gswauth/swauth/middleware.py
index c7f92f9..0a1c808 100644
--- a/gluster/swift/common/middleware/gswauth/swauth/middleware.py
+++ b/gluster/swift/common/middleware/gswauth/swauth/middleware.py
@@ -55,7 +55,7 @@ class Swauth(object):
def __init__(self, app, conf):
self.app = app
self.conf = conf
- self.logger = get_logger(conf, log_route='swauth')
+ self.logger = get_logger(conf, log_route='gswauth')
self.log_headers = conf.get('log_headers', 'no').lower() in TRUE_VALUES
self.reseller_prefix = conf.get('reseller_prefix', 'AUTH').strip()
if self.reseller_prefix and self.reseller_prefix[-1] != '_':
@@ -144,7 +144,7 @@ class Swauth(object):
raise Exception(
'Invalid auth_type in config file: %s'
% self.auth_type)
- self.auth_encoder.salt = conf.get('auth_type_salt', 'swauthsalt')
+ self.auth_encoder.salt = conf.get('auth_type_salt', 'gswauthsalt')
self.allow_overrides = \
conf.get('allow_overrides', 't').lower() in TRUE_VALUES
self.agent = '%(orig)s Swauth'
diff --git a/setup.py b/setup.py
index f42961d..82b2a76 100644
--- a/setup.py
+++ b/setup.py
@@ -63,8 +63,8 @@ setup(
'account=gluster.swift.account.server:app_factory',
],
'paste.filter_factory': [
- 'swauth=gluster.swift.common.middleware.gswauth.swauth.middleware:'
- 'filter_factory',
+ 'gswauth=gluster.swift.common.middleware.gswauth.swauth.'
+ 'middleware:filter_factory',
],
},
)
diff --git a/test/functional_auth/gswauth/conf/proxy-server.conf b/test/functional_auth/gswauth/conf/proxy-server.conf
index 90beb51..89f95f4 100644
--- a/test/functional_auth/gswauth/conf/proxy-server.conf
+++ b/test/functional_auth/gswauth/conf/proxy-server.conf
@@ -5,7 +5,7 @@ user = root
workers = 1
[pipeline:main]
-pipeline = catch_errors healthcheck proxy-logging cache swauth proxy-logging proxy-server
+pipeline = catch_errors healthcheck proxy-logging cache gswauth proxy-logging proxy-server
[app:proxy-server]
use = egg:gluster_swift#proxy
@@ -60,10 +60,10 @@ user_test_tester = testing .admin
user_test2_tester2 = testing2 .admin
user_test_tester3 = testing3
-[filter:swauth]
-use = egg:gluster_swift#swauth
-set log_name = swauth
-super_admin_key = swauthkey
+[filter:gswauth]
+use = egg:gluster_swift#gswauth
+set log_name = gswauth
+super_admin_key = gswauthkey
metadata_volume = gsmetadata
[filter:cache]
diff --git a/test/functional_auth/gswauth/conf/test.conf b/test/functional_auth/gswauth/conf/test.conf
index 7f7f5cf..f490f36 100644
--- a/test/functional_auth/gswauth/conf/test.conf
+++ b/test/functional_auth/gswauth/conf/test.conf
@@ -12,7 +12,7 @@ auth_prefix = /auth/
#auth_prefix = /v2.0/
# GSWauth internal admin user configuration information
-admin_key = swauthkey
+admin_key = gswauthkey
admin_user = .super_admin
# Primary functional test account (needs admin access to the account)
diff --git a/tools/gswauth_functional_tests.sh b/tools/gswauth_functional_tests.sh
index 1fe5a87..0c09fa2 100755
--- a/tools/gswauth_functional_tests.sh
+++ b/tools/gswauth_functional_tests.sh
@@ -59,10 +59,10 @@ run_generic_tests()
gswauth_cleanup
#swauth-prep
- sudo_env swauth-prep -K swauthkey || fail "Unable to prep gswauth"
- sudo_env swauth-add-user -K swauthkey -a test tester testing || fail "Unable to add user test"
- sudo_env swauth-add-user -K swauthkey -a test2 tester2 testing2 || fail "Unable to add user test2"
- sudo_env swauth-add-user -K swauthkey test tester3 testing3 || fail "Unable to add user test3"
+ sudo_env swauth-prep -K gswauthkey || fail "Unable to prep gswauth"
+ sudo_env swauth-add-user -K gswauthkey -a test tester testing || fail "Unable to add user test"
+ sudo_env swauth-add-user -K gswauthkey -a test2 tester2 testing2 || fail "Unable to add user test2"
+ sudo_env swauth-add-user -K gswauthkey test tester3 testing3 || fail "Unable to add user test3"
nosetests -v --exe \
--with-xunit \
@@ -105,7 +105,7 @@ sudo service memcached start || fail "Unable to start memcached"
sudo_env swift-init main start || fail "Unable to start swift"
#swauth-prep
-sudo_env swauth-prep -K swauthkey || fail "Unable to prep gswauth"
+sudo_env swauth-prep -K gswauthkey || fail "Unable to prep gswauth"
mkdir functional_tests > /dev/null 2>&1
nosetests -v --exe \